<?php
/**
 * Stortech Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Stortech Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function stortech_pro_custom_colors_css() {
  	$options= stortech_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	input[type="submit"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	input[type="submit"]:active,
	.main-navigation .count,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	form.search-form button.search-submit,
	.author-name:after,
	.reply a:hover,
	.reply a:focus,
	#products-collection article:nth-child(odd) .btn:hover,
	#products-collection article:nth-child(odd) .btn:focus,
	span.discount-offer,
	#featured-products article:nth-child(odd) .btn:hover,
	#featured-products article:nth-child(odd) .btn:focus,
	#featured-products article:nth-child(even) .btn:hover,
	#featured-products article:nth-child(even) .btn:focus,
	.post-item-wrapper .cat-links a,
	.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a,
	.dark-version.woocommerce #respond input#submit:hover, 
	.dark-version.woocommerce a.button:hover, 
	.dark-version.woocommerce button.button:hover, 
	.dark-version.woocommerce input.button:hover, 
	.dark-version.woocommerce #respond input#submit.alt:hover, 
	.dark-version.woocommerce a.button.alt:hover, 
	.dark-version.woocommerce button.button.alt:hover, 
	.dark-version.woocommerce input.button.alt:hover, 
	.dark-version.woocommerce ul.products li.product a.added_to_cart.wc-forward:hover, 
	.dark-version.woocommerce #respond input#submit.disabled:hover, 
	.dark-version.woocommerce #respond input#submit:disabled:hover, 
	.dark-version.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.dark-version.woocommerce a.button.disabled:hover, 
	.dark-version.woocommerce a.button:disabled:hover, 
	.dark-version.woocommerce a.button:disabled[disabled]:hover, 
	.dark-version.woocommerce button.button.disabled:hover, 
	.dark-version.woocommerce button.button:disabled:hover, 
	.dark-version.woocommerce button.button:disabled[disabled]:hover, 
	.dark-version.woocommerce input.button.disabled:hover, 
	.dark-version.woocommerce input.button:disabled:hover, 
	.dark-version.woocommerce input.button:disabled[disabled]:hover,
	.dark-version.woocommerce #respond input#submit:focus, 
	.dark-version.woocommerce a.button:focus, 
	.dark-version.woocommerce button.button:focus, 
	.dark-version.woocommerce input.button:focus, 
	.dark-version.woocommerce #respond input#submit.alt:focus, 
	.dark-version.woocommerce a.button.alt:focus, 
	.dark-version.woocommerce button.button.alt:focus, 
	.dark-version.woocommerce input.button.alt:focus, 
	.dark-version.woocommerce ul.products li.product a.added_to_cart.wc-forward:focus, 
	.dark-version.woocommerce #respond input#submit.disabled:focus, 
	.dark-version.woocommerce #respond input#submit:disabled:focus, 
	.dark-version.woocommerce #respond input#submit:disabled[disabled]:focus, 
	.dark-version.woocommerce a.button.disabled:focus, 
	.dark-version.woocommerce a.button:disabled:focus, 
	.dark-version.woocommerce a.button:disabled[disabled]:focus, 
	.dark-version.woocommerce button.button.disabled:focus, 
	.dark-version.woocommerce button.button:disabled:focus, 
	.dark-version.woocommerce button.button:disabled[disabled]:focus, 
	.dark-version.woocommerce input.button.disabled:focus, 
	.dark-version.woocommerce input.button:disabled:focus, 
	.dark-version.woocommerce input.button:disabled[disabled]:focus,
	.dark-version .reply a:hover,
	.dark-version .reply a:focus,
	.fifth-design #top-bar, 
	body:not(.dark-version).fifth-design #subscribe-section,
	#news,
	.featured-content-wrapper .btn.btn-fill:hover, 
	.featured-content-wrapper .btn.btn-fill:focus,
	.btn.btn-fill:hover, 
	.btn.btn-fill:focus,
	#accessories article:nth-child(6) .btn.btn-fill:hover, 
	#accessories article:nth-child(6) .btn.btn-fill:focus,
	.seperator,
	.fourth-design .service-item-wrapper,
	.sixth-design .btn.btn-fill,
	#blog-featured-posts .cat-links a,
	.woocommerce #respond input#submit.alt:hover, 
	.woocommerce a.button.alt:hover, 
	.woocommerce button.button.alt:hover, 
	.woocommerce input.button.alt:hover, 
	.woocommerce #respond input#submit:hover,
	.slick-arrow:hover, 
	.slick-arrow:focus,
	#blog-popular-posts .read-more a { 
		background-color: ' . esc_attr($color_value) . '; 
	}';


	$css .= '
	.sixth-design .btn.btn-fill:hover,
	.sixth-design .btn.btn-fill:focus {
	    background-color: #000;
    	border-color: #000 !important;
    	color: #fff; 
	}';

	$css .= '
	a,
	.site-title a:hover,
	.site-title a:focus,
	.site-branding-wrapper ul.login-register li a:hover,
	.site-branding-wrapper ul.login-register li a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation ul.nav-menu > li > a:hover,
	.btn,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.page-header small,
	.single-post-wrapper span.tags-links a:hover,
	.single-post-wrapper span.tags-links a:focus,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.featured-content-wrapper .entry-title a:hover,
	.featured-content-wrapper .entry-title a:focus,
	#our-services .service-icon a:hover,
	#our-services .service-icon a:focus,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	.woocommerce ul.products li.product .price,
	.woocommerce ul.products li.product .price,
	#trending-products .entry-title a:hover,
	#trending-products .entry-title a:focus,
	#trending-products .price,
	#testimonial-section .entry-title a:hover,
	#testimonial-section .entry-title a:focus,
	.post-item-wrapper .entry-title a:hover,
	.post-item-wrapper .entry-title a:focus,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus,
	#colophon .site-info a:hover,
	#colophon .site-info a:focus,
	.product_meta a:hover, 
	.product_meta a:focus, 
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	.woocommerce-message::before,
	.woocommerce-info::before,
	.btn.btn-fill,
	#featured article .entry-container .entry-title a:hover, 
	#accessories article .entry-container .entry-title a:hover, 
	#featured article .entry-container .entry-title a:focus, 
	#accessories article .entry-container .entry-title a:focus,
	#featured .featured-wrapper article:nth-child(2) .btn.btn-fill:hover, 
	#featured .featured-wrapper article:nth-child(2) .btn.btn-fill:focus,
	#featured .featured-wrapper article:nth-child(2) .btn:hover, 
	#featured .featured-wrapper article:nth-child(2) .btn:focus,
	#accessories article:nth-child(5) .btn.btn-fill:hover, 
	#accessories article:nth-child(5) .btn.btn-fill:focus,
	#accessories article:nth-child(5) .btn:hover,
	#accessories article:nth-child(5) .btn:focus,
	#accessories article:nth-child(6) .btn:hover,
	#accessories article:nth-child(6) .btn:focus,
	.testimonail-wrapper .entry-title a:hover,
	#colophon a:hover, 
	#colophon a:focus,
	#colophon .site-info a:hover, 
	#colophon .site-info a:focus,
	#masonry .grid .entry-title a:hover, 
	#masonry .grid .entry-title a:focus,
	.woocommerce ul.products li.product .onsale,
	.woocommerce-loop-product__title:hover,
	.woocommerce ul.products li.product .price ins, 
	.woocommerce ul.products li.product .price,
	#featured-products .entry-title a:hover, 
	#featured-products .entry-title a:focus,
	.posted-on a:hover, 
	.byline:hover, 
	.byline a:hover, 
	.archive-blog-wrapper .entry-title a:hover,
	.third-design .featured-content-wrapper .entry-title a:hover,
	#watch article .entry-header .entry-title a:hover, 
	#watch article .entry-header .entry-title a:focus,
	#introduction .entry-container .entry-title a:hover,
	#services .entry-title a:hover, 
	#services .entry-title a:focus,
	#services .service-icon a:hover,
	.product.woocommerce ul.products li.product .price,
	.product.woocommerce ul.products li.product .woocommerce-loop-product__title:hover,
	.product.woocommerce ul.products li.product .product_meta a:hover,
	.fourth-design #masonry .grid .entry-title a:hover, 
	.fourth-design #masonry .grid .entry-title a:focus,
	.fourth-design.woocommerce #recent-products ul.products li.product .price ins,
	.fourth-design #featured-products .entry-title a:hover, 
	.fourth-design #featured-products .entry-title a:focus,
	#blog-featured-posts .entry-title a:hover,
	#blog-featured-posts .entry-title a:focus, 
	#blog-popular-posts .entry-title a:hover,
	#blog-popular-posts .entry-title a:focus,
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt, 
	.woocommerce #respond input#submit,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.product.woocommerce ul.products li.product .product_meta a,
	.single-product.woocommerce #respond input#submit:hover {
	    color:  #fff ; 
	}';

	$css .= '
	.loader-container svg,
	.site-branding-wrapper ul.login-register li a:hover svg,
	.site-branding-wrapper ul.login-register li a:focus svg,
	.site-branding-wrapper form.search-form button.search-submit:hover svg,
	.site-branding-wrapper form.search-form button.search-submit:focus svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.site-branding-wrapper .search-menu a:hover svg,
	.site-branding-wrapper .search-menu a:focus svg,
	.btn svg,
	.single-post-wrapper span.posted-on svg,
	.single-post-wrapper span.cat-links svg,
	#login-register li a:hover svg, 
	#login-register li a:focus svg,
	#featured .featured-wrapper article:nth-child(2) .btn:hover svg, 
	#featured .featured-wrapper article:nth-child(2) .btn:focus svg,
	#accessories article:nth-child(5) .btn:hover svg, 
	#accessories article:nth-child(5) .btn:focus svg, 
	#accessories article:nth-child(5) .btn:focus svg, 
	#accessories article:nth-child(6) .btn:hover svg, 
	#accessories article:nth-child(6) .btn:hover svg, 
	#accessories article:nth-child(6) .btn:focus svg, 
	#accessories article:nth-child(6) .btn:focus svg,
	.navigation.post-navigation a:hover svg, 
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:focus svg, 
	.navigation.posts-navigation a:focus svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	input[type="submit"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	input[type="submit"]:active,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-post-wrapper span.tags-links a:hover,
	.single-post-wrapper span.tags-links a:focus,
	.reply a:hover,
	.reply a:focus,
	.btn:hover,
	.btn:focus,
	#products-collection article:nth-child(odd) .btn:hover,
	#products-collection article:nth-child(odd) .btn:focus,
	#featured-products article:nth-child(odd) .btn:hover,
	#featured-products article:nth-child(odd) .btn:focus,
	#featured-products article:nth-child(even) .btn:hover,
	#featured-products article:nth-child(even) .btn:focus,
	.dark-version.woocommerce #respond input#submit:hover, 
	.dark-version.woocommerce a.button:hover, 
	.dark-version.woocommerce button.button:hover, 
	.dark-version.woocommerce input.button:hover, 
	.dark-version.woocommerce #respond input#submit.alt:hover, 
	.dark-version.woocommerce a.button.alt:hover, 
	.dark-version.woocommerce button.button.alt:hover, 
	.dark-version.woocommerce input.button.alt:hover, 
	.dark-version.woocommerce ul.products li.product a.added_to_cart.wc-forward:hover, 
	.dark-version.woocommerce #respond input#submit.disabled:hover, 
	.dark-version.woocommerce #respond input#submit:disabled:hover, 
	.dark-version.woocommerce #respond input#submit:disabled[disabled]:hover, 
	.dark-version.woocommerce a.button.disabled:hover, 
	.dark-version.woocommerce a.button:disabled:hover, 
	.dark-version.woocommerce a.button:disabled[disabled]:hover, 
	.dark-version.woocommerce button.button.disabled:hover, 
	.dark-version.woocommerce button.button:disabled:hover, 
	.dark-version.woocommerce button.button:disabled[disabled]:hover, 
	.dark-version.woocommerce input.button.disabled:hover, 
	.dark-version.woocommerce input.button:disabled:hover, 
	.dark-version.woocommerce input.button:disabled[disabled]:hover,
	.dark-version.woocommerce #respond input#submit:focus, 
	.dark-version.woocommerce a.button:focus, 
	.dark-version.woocommerce button.button:focus, 
	.dark-version.woocommerce input.button:focus, 
	.dark-version.woocommerce #respond input#submit.alt:focus, 
	.dark-version.woocommerce a.button.alt:focus, 
	.dark-version.woocommerce button.button.alt:focus, 
	.dark-version.woocommerce input.button.alt:focus, 
	.dark-version.woocommerce ul.products li.product a.added_to_cart.wc-forward:focus, 
	.dark-version.woocommerce #respond input#submit.disabled:focus, 
	.dark-version.woocommerce #respond input#submit:disabled:focus, 
	.dark-version.woocommerce #respond input#submit:disabled[disabled]:focus, 
	.dark-version.woocommerce a.button.disabled:focus, 
	.dark-version.woocommerce a.button:disabled:focus, 
	.dark-version.woocommerce a.button:disabled[disabled]:focus, 
	.dark-version.woocommerce button.button.disabled:focus, 
	.dark-version.woocommerce button.button:disabled:focus, 
	.dark-version.woocommerce button.button:disabled[disabled]:focus, 
	.dark-version.woocommerce input.button.disabled:focus, 
	.dark-version.woocommerce input.button:disabled:focus, 
	.dark-version.woocommerce input.button:disabled[disabled]:focus,
	.dark-version .reply a:hover,
	.dark-version .reply a:focus,
	.featured-content-wrapper .btn.btn-fill:hover, 
	.featured-content-wrapper .btn.btn-fill:focus,
	.btn.btn-fill,
	.btn.btn-fill:hover, 
	.btn.btn-fill:focus,
	#accessories article:nth-child(6) .btn.btn-fill:hover, 
	#accessories article:nth-child(6) .btn.btn-fill:focus,
	#watch article:nth-child(odd) .btn.btn-fill:hover, 
	#watch article:nth-child(even) .btn.btn-fill:hover, 
	#watch article:nth-child(odd) .btn.btn-fill:focus,
	#watch article:nth-child(even) .btn.btn-fill:focus,
	#gallery .btn:hover,
	#similar-product .btn.btn-fill:hover,
	.sixth-design .btn.btn-fill,
	.woocommerce #respond input#submit.alt, 
	.woocommerce a.button.alt, 
	.woocommerce button.button.alt, 
	.woocommerce input.button.alt, 
	.woocommerce #respond input#submit,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	#blog-popular-posts .read-more a { 
		border-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.woocommerce-message,
	.woocommerce-info  {
	    border-top-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	@media screen and (min-width: 1024px) {
		.main-navigation ul#primary-menu ul li.current-menu-item > a,
	    .main-navigation ul#primary-menu ul li:hover > a,
	    .main-navigation ul#primary-menu ul li:focus > a {
	        color: ' . esc_attr($color_value) . '; 
	    }
	    .main-navigation ul ul li.menu-item-has-children:hover > a > svg, 
	    .main-navigation ul ul li.menu-item-has-children > a:hover > svg,
	    .dark-version .main-navigation ul#primary-menu > li:hover > a > svg,
	    .dark-version .main-navigation ul#primary-menu > li > a:hover > svg,
	    .dark-version .main-navigation ul#primary-menu > li > a:focus > svg {
	        fill: ' . esc_attr($color_value) . '; 
	    }
	}';

	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Stortech Pro custom colors CSS.
	 *
	 * @since Stortech Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'stortech_pro_custom_colors_css', $css );
}
