<?php
/**
 * Customizer default options
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 * @return array An array of default values
 */

function stortech_pro_get_default_theme_options() {
	$theme_data = wp_get_theme();
	$stortech_pro_default_options = array(
		// Color Options
		'header_title_color'			=> '#010101',
		'header_tagline_color'			=> '#010101',
		'header_txt_logo_extra'			=> 'show-all',
		'colorscheme_hue'				=> '#fa311f',
		'colorscheme'					=> 'default',
		'theme_version'					=> 'lite-version',
		'home_layout'					=> 'first-design',

		
		// typography Options
		'theme_typography' 				=> 'default',
		'body_theme_typography' 		=> 'default',
		
		// loader
		'loader_enable'         		=> false,
		'loader_icon'         			=> 'default',

		// breadcrumb
		'breadcrumb_enable'				=> true,
		'breadcrumb_separator'			=> '/',
		
		// layout 
		'site_layout'         			=> 'wide-layout',
		'sidebar_position'         		=> 'right-sidebar',
		'post_sidebar_position' 		=> 'right-sidebar',
		'page_sidebar_position' 		=> 'right-sidebar',
		'menu_sticky'					=> true,
		'social_nav_enable'				=> true,
		'register_link'					=> '',
		'sign_in_link'					=> '',

		// excerpt options
		'long_excerpt_length'           => 25,
		
		// pagination options
		'pagination_enable'         	=> true,
		'pagination_type'         		=> 'default',

		// footer options
		'copyright_text'           		=> sprintf( esc_html_x( 'Copyright &copy; %1$s %2$s', '1: Year, 2: Site Title with home URL', 'stortech-pro' ), '[the-year]', '[site-link]' ),
		'footer_social_enable'			=> true,
		'scroll_top_visible'        	=> true,
		'footer_menu_enable'		    => true,

		// reset options
		'reset_options'      			=> false,
		
		// homepage options
		'enable_frontpage_content' 		=> false,

		// homepage sections sortable
		'sortable' 						=> 'introduction,slider,product_layout_short_des,product_layout_cta,product_layout_gallery,featured,accessories,product_layout_features,product_layout_design,product_layout_zoom,product_layout_similar_product,masonry_product,recent_product,second_featured_product,popular_product,product_collection,services,about_us,counter,team,featured_blog,popular_blog,blog,testimonial,subscription',

		// blog/archive options
		'your_latest_posts_title' 		=> esc_html__( 'Blogs', 'stortech-pro' ),
		'hide_date' 					=> false,
		'hide_category'					=> false,
		'hide_author'					=> false,

		// single post theme options
		'single_post_hide_date' 		=> false,
		'single_post_hide_author'		=> false,
		'single_post_hide_category'		=> false,
		'single_post_hide_tags'			=> false,

		/* Front Page */

		'nav_search_enable'				=> true,

		//=======================================================//

		'news_notice_section_enable' => true,
		'news_notice_title'			 => esc_html__('Shop online!! and get free delivery, Help by specialist and man', 'stortech-pro' ),


		//=======================================================//

		// topbar
		'topbar_section_enable'			=> true,
		'topbar_title'					=> esc_html__( 'WINTER CLEARANCE: Take 20% off ‘Sale of The Year’', 'stortech-pro' ),
	
		
		// slider section 
		'slider_section_enable'			=> false,
		'slider_content_type'			=> 'page',
		'slider_autoplay'				=> false,
		'slider_subtitle'				=> esc_html__( 'Get 35% off on pre - order', 'stortech-pro' ),
		'slider_count'					=> 3,
		'slider_btn_label'				=> esc_html__( 'Buy Now', 'stortech-pro' ),

		// featured section
		'featured_section_enable'			=> false,
		'featured_content_type'			=> 'page',
		'featured_count'					=> 4,
		'featured_btn_label'				=> esc_html__( 'Buy Now', 'stortech-pro' ),

		// accessories section
		'accessories_section_enable'			=> false,
		'accessories_content_type'			=> 'page',
		'accessories_count'					=> 7,
		'accessories_btn_label'				=> esc_html__( 'Buy Now', 'stortech-pro' ),

		// introduction section
		'introduction_section_enable'			=> false,
		'introduction_content_type'			=> 'page',

		// product_layout_short_des section
		'product_layout_short_des_section_enable'			=> false,
		'product_layout_short_des_content_type'			=> 'page',
		'product_layout_short_des_title'					=> esc_html__( 'Create without limits!', 'stortech-pro' ),
		'product_layout_short_des_description'				=> esc_html__( 'Best & affordable cameras, light weight, outstanding image quality,large image sensor.', 'stortech-pro' ),

		// product_layout_cta 
		'product_layout_cta_section_enable'			=> false,
		'product_layout_cta_content_type'			=> 'page',
		'product_layout_cta_title'					=> esc_html__( 'Create without limits!', 'stortech-pro' ),
		'product_layout_cta_description'				=> esc_html__( 'Best & affordable cameras, light weight, outstanding image quality,large image sensor.', 'stortech-pro' ),

		// product_layout_gallery section
		'product_layout_gallery_section_enable'			=> false,
		'product_layout_gallery_content_type'			=> 'page',
		'product_layout_gallery_count'					=> 7,
		'product_layout_gallery_title'					=> esc_html__( 'Build for better quality image', 'stortech-pro' ),
		'product_layout_gallery_subtitle'				=> esc_html__( 'Best & affordable cameras, light weight, outstanding image quality,large image sensor.', 'stortech-pro' ),
		

		//product_layout_features section
		'product_layout_features_section_enable'			=> false,
		'product_layout_features_content_type'			=> 'page',
		'product_layout_features_count'					=> 4,
		'product_layout_features_column_layout'			=> 'col-4',
		'product_layout_features_title'					=> esc_html__( 'Build for better quality image', 'stortech-pro' ),
		'product_layout_features_subtitle'				=> esc_html__( 'Best & affordable cameras, light weight, outstanding image quality,large image sensor.', 'stortech-pro' ),

		// product_layout_design section
		'product_layout_design_section_enable'			=> false,
		'product_layout_design_content_type'			=> 'page',
		'product_layout_design_title'					=> esc_html__( 'Create without limits!', 'stortech-pro' ),
		'product_layout_design_description'				=> esc_html__( 'Best & affordable cameras, light weight, outstanding image quality,large image sensor.', 'stortech-pro' ),

		// product_layout_zoom section
		'product_layout_zoom_section_enable'			=> false,
		'product_layout_zoom_content_type'			=> 'page',
		'product_layout_zoom_title'					=> esc_html__( 'Create without limits!', 'stortech-pro' ),
		'product_layout_zoom_description'				=> esc_html__( 'Best & affordable cameras, light weight, outstanding image quality,large image sensor.', 'stortech-pro' ),

		// product_layout_similar section
		'product_layout_similar_product_section_enable'		=> false,
		'product_layout_similar_product_content_type'		=> 'product',
		'product_layout_similar_product_count'				=> 3,
		'product_layout_similar_product_title'				=> esc_html__( 'Similar Products', 'stortech-pro' ),


		// masonry_product section 
		'masonry_product_section_enable'			=> false,
		'masonry_product_content_type'			=> 'page',
		'masonry_product_count'					=> 4,
		
		// recent section
		'recent_product_section_enable'		=> false,
		'recent_product_content_type'		=> 'product',
		'recent_product_count'				=> 4,
		'recent_product_title'				=> esc_html__( 'Similar Products', 'stortech-pro' ),
		'recent_product_subtitle'				=> esc_html__( 'Although fashion and technology are often perceived as entirely distinct fields, the two have always intersected.', 'stortech-pro' ),

		// second_featured_product section 
		'second_featured_product_section_enable'			=> false,
		'second_featured_product_content_type'			=> 'page',
		'second_featured_product_count'					=> 2,

		// popular section
		'popular_product_section_enable'		=> false,
		'popular_product_content_type'		=> 'product',
		'popular_product_count'				=> 4,
		'popular_product_title'				=> esc_html__( 'Popular Products', 'stortech-pro' ),
		'popular_product_subtitle'				=> esc_html__( 'Although fashion and technology are often perceived as entirely distinct fields, the two have always intersected.', 'stortech-pro' ),

		//services section
		'services_section_enable'			=> false,
		'services_content_type'			=> 'page',
		'services_count'					=> 3,
		'services_column_layout'			=> 'col-3',

		// Business about_us section
		'about_us_section_enable'			=> false,
		'about_us_content_type'			=> 'page',
		'about_us_title'					=> esc_html__( 'Create without limits!', 'stortech-pro' ),
		'about_us_description'				=> esc_html__( 'Best & affordable cameras, light weight, outstanding image quality,large image sensor.', 'stortech-pro' ),

		// counter
		'counter_section_enable'			=> false,
		'counter_count'					=> 4,

		// team
		'team_section_enable'		=> false,
		'team_content_type'			=> 'category',
		'team_count'					=> 4,
		'team_title'					=> esc_html__( 'Our Team', 'stortech-pro' ),


		//about 
		'latest_product_section_enable'		=> false,
		'latest_product_content_type'		=> 'page',


		'product_collection_section_enable'		=> false,
		'product_collection_content_type'		=> 'post',
		'product_collection_count'				=> 5,
		'product_collection_btn_label'			=> esc_html__( 'Shop Now', 'stortech-pro' ),



		'featured_product_section_enable'		=> false,
		'featured_product_content_type'			=> 'page',
		'featured_product_count'				=> 2,

		//trending_product 
		'trending_product_section_enable'				=> false,
		'trending_product_content_type'					=> 'page',
		'trending_product_count'						=> 4,
		'trending_product_section_buttom_slider_enable'	=> false,
		'trending_product_title'						=> esc_html__( 'Our Skilled Teachers', 'stortech-pro' ),

		// blog
		'blog_section_enable'			=> false,
		'blog_content_type'				=> 'page',
		'blog_count'					=> 3,
		'blog_title'					=> esc_html__( 'Our Fresh Stories', 'stortech-pro' ),
		'blog_sub_title'				=> esc_html__( 'Read our latest blog post for more information', 'stortech-pro' ),

		// testimonial
		'testimonial_section_enable'		=> false,
		'testimonial_section_link_enable'	=> false,
		'testimonial_content_type'			=> 'page',
		'testimonial_count'					=> 4,
		'testimonial_sub_title'				=> esc_html__( 'What our clients says about us!!', 'stortech-pro' ),
		'testimonial_title'					=> esc_html__( 'Latest Testimonials', 'stortech-pro' ),
		'testimonial_instagram_text'		=> esc_html__('Instagram @ ThemePalace', 'stortech-pro'),
		'testimonial_gallery_count'			=> 6,

		// blog
		'featured_blog_section_enable'			=> false,
		'featured_blog_content_type'				=> 'page',
		'featured_blog_count'					=> 3,
		'featured_blog_title'					=> esc_html__( 'Featured Posts', 'stortech-pro' ),
	
		// Popular blog
		'popular_blog_section_enable'			=> false,
		'popular_blog_content_type'				=> 'page',
		'popular_blog_count'					=> 3,
		'popular_blog_title'					=> esc_html__( 'Popular Posts', 'stortech-pro' ),

		// client
		'partner_section_enable'			=> false,
		'partner_content_type'			=> 'page',
		'partner_count'					=> 6,

		// client
		'subscription_section_enable'			=> false,
		'subscription_title'					=> esc_html__( 'Newsletter Subscription', 'stortech-pro' ),
		'subscription_sub_title'				=> esc_html__( 'Sign up for updates to receive information about new arrivals, future events and specials.', 'stortech-pro' ),
		'subscription_btn_label'				=> esc_html__( 'Subscribe', 'stortech-pro' ),


	);
	for( $i = 1 ; $i <= 4 ; $i++ ){
		$stortech_pro_default_options['latest_product_banner_label_'.$i] = esc_html__('WOMEN’S FASHION', 'stortech-pro') ;
		$stortech_pro_default_options['latest_product_category_'.$i] = '';
		$stortech_pro_default_options['latest_product_banner_image_'.$i] = '';
		$stortech_pro_default_options['product_collection_btn_title_'.$i] = esc_html__('Start Shopping', 'stortech-pro');
		$stortech_pro_default_options['product_collection_btn_url_'.$i] = '';
		$stortech_pro_default_options['trending_product_title_'.$i] = esc_html__('WOMEN’S OUTFITS', 'stortech-pro');
		$stortech_pro_default_options['trending_content_type_'.$i] = 'product';

	}

	for ($i=1; $i <= 2 ; $i++) { 
		$stortech_pro_default_options['featured_product_btn_title_'.$i] = esc_html__('Start Shopping', 'stortech-pro');
		$stortech_pro_default_options['featured_product_btn_url_'.$i] = '';
	}

	$output = apply_filters( 'stortech_pro_default_theme_options', $stortech_pro_default_options );

	// Sort array in ascending order, according to the key:
	if ( ! empty( $output ) ) {
		ksort( $output );
	}

	return $output;
}