<?php
/**
 * Notice Section options
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 */

// Add Notice section
$wp_customize->add_section( 'stortech_pro_news_notice_section', array(
	'title'             => esc_html__( 'Notice','stortech-pro' ),
	'description'       => esc_html__( 'Notice Section options.', 'stortech-pro' ),
	'panel'             => 'stortech_pro_front_page_panel',
	'active_callback'	=> 'stortech_pro_is_notice_design_enable',
) );

// Notice content enable control and setting
$wp_customize->add_setting( 'stortech_pro_theme_options[news_notice_section_enable]', array(
	'default'			=> 	$options['news_notice_section_enable'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[news_notice_section_enable]', array(
	'label'             => esc_html__( 'Notice Section Enable', 'stortech-pro' ),
	'section'           => 'stortech_pro_news_notice_section',
	'on_off_label' 		=> stortech_pro_switch_options(),
) ) );

// stortech title setting and control
$wp_customize->add_setting( 'stortech_pro_theme_options[news_notice_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['news_notice_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'stortech_pro_theme_options[news_notice_title]', array(
	'label'           	=> esc_html__( 'Notice Content', 'stortech-pro' ),
	'section'        	=> 'stortech_pro_news_notice_section',
	'active_callback' 	=> 'stortech_pro_is_news_notice_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'stortech_pro_theme_options[news_notice_title]', array(
		'selector'            => '#site-menu .news span',
		'settings'            => 'stortech_pro_theme_options[news_notice_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'stortech_pro_news_notice_title_partial',
    ) );
}