<?php
$wp_customize->add_section( 'stortech_pro_subscription_section', array(
	'title'             => esc_html__( 'Subscription','stortech-pro' ),
	'description'       => esc_html__( 'Subscription Section options.', 'stortech-pro' ),
	'panel'             => 'stortech_pro_front_page_panel',
	'active_callback'	=> 'stortech_pro_is_first_second_fourth_fifth_design_enable',
) );

// subscription content enable control and setting
$wp_customize->add_setting( 'stortech_pro_theme_options[subscription_section_enable]', array(
	'default'			=> 	$options['subscription_section_enable'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[subscription_section_enable]', array(
	'label'             => esc_html__( 'Subscription Section Enable', 'stortech-pro' ),
	'section'           => 'stortech_pro_subscription_section',
	'on_off_label' 		=> stortech_pro_switch_options(),
) ) );

if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'stortech_pro_theme_options[subscription_section_enable]', array(
        'selector'            => '#subscribe-section .wrapper',
        'settings'            => 'stortech_pro_theme_options[subscription_section_enable]',
    ) );
}



// subscription title setting and control
$wp_customize->add_setting( 'stortech_pro_theme_options[subscription_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'stortech_pro_theme_options[subscription_title]', array(
	'label'           	=> esc_html__( 'Title', 'stortech-pro' ),
	'section'        	=> 'stortech_pro_subscription_section',
	'active_callback' 	=> 'stortech_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'stortech_pro_theme_options[subscription_title]', array(
		'selector'            => '#subscribe-section h3.widget-title',
		'settings'            => 'stortech_pro_theme_options[subscription_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'stortech_pro_subscription_title_partial',
    ) );
}

// subscription sub title setting and control
$wp_customize->add_setting( 'stortech_pro_theme_options[subscription_sub_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['subscription_sub_title'],
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( 'stortech_pro_theme_options[subscription_sub_title]', array(
	'label'           	=> esc_html__( 'Sub Title', 'stortech-pro' ),
	'section'        	=> 'stortech_pro_subscription_section',
	'active_callback' 	=> 'stortech_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'stortech_pro_theme_options[subscription_sub_title]', array(
		'selector'            => '#subscribe-section #subscribe-text p',
		'settings'            => 'stortech_pro_theme_options[subscription_sub_title]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'stortech_pro_subscription_sub_title_partial',
    ) );
}

// subscription sub title setting and control
$wp_customize->add_setting( 'stortech_pro_theme_options[subscription_buttom_label]', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'stortech_pro_theme_options[subscription_buttom_label]', array(
	'label'           	=> esc_html__( 'subscription Buttom Text', 'stortech-pro' ),
	'section'        	=> 'stortech_pro_subscription_section',
	'active_callback' 	=> 'stortech_pro_is_subscription_section_enable',
	'type'				=> 'text',
) );

