<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'stortech_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','stortech-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'stortech-pro' ),
	'panel'             => 'stortech_pro_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'stortech_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'stortech-pro' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'stortech-pro' ),
	'section'           => 'stortech_pro_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'stortech_pro_is_latest_posts'
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[hide_banner]', array(
	'default'           => false,
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[hide_banner]', array(
	'label'             => esc_html__( 'Hide banner', 'stortech-pro' ),
	'section'           => 'stortech_pro_archive_section',
	'on_off_label' 		=> stortech_pro_hide_options(),
) ) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'stortech-pro' ),
	'section'           => 'stortech_pro_archive_section',
	'on_off_label' 		=> stortech_pro_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[hide_author]', array(
	'default'           => $options['hide_author'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[hide_author]', array(
	'label'             => esc_html__( 'Hide author', 'stortech-pro' ),
	'section'           => 'stortech_pro_archive_section',
	'on_off_label' 		=> stortech_pro_hide_options(),
) ) );
