<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 */

$wp_customize->add_section( 'stortech_pro_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','stortech-pro' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'stortech-pro' ),
	'panel'             => 'stortech_pro_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'stortech-pro' ),
	'section'          	=> 'stortech_pro_breadcrumb',
	'on_off_label' 		=> stortech_pro_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'stortech_pro_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'stortech-pro' ),
	'active_callback' 	=> 'stortech_pro_is_breadcrumb_enable',
	'section'          	=> 'stortech_pro_breadcrumb',
	'type'				=> 'text'
) );
