<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'stortech_pro_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'stortech-pro' ),
		'priority'   			=> 900,
		'panel'      			=> 'stortech_pro_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'stortech_pro_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'stortech_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);
$wp_customize->add_control( 'stortech_pro_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'stortech-pro' ),
		'section'    			=> 'stortech_pro_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'stortech_pro_theme_options[copyright_text]', array(
		'selector'            => '.site-info .wrapper span',
		'settings'            => 'stortech_pro_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'stortech_pro_copyright_text_partial',
    ) );
}

// scroll top visible
$wp_customize->add_setting( 'stortech_pro_theme_options[scroll_top_visible]',
	array(
		'default'       		=> $options['scroll_top_visible'],
		'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[scroll_top_visible]',
    array(
		'label'      			=> esc_html__( 'Display Scroll Top Button', 'stortech-pro' ),
		'section'    			=> 'stortech_pro_section_footer',
		'on_off_label' 		=> stortech_pro_switch_options(),
    )
) );

$wp_customize->add_setting( 'stortech_pro_theme_options[footer_social_enable]', array(
	'default'			=> 	$options['footer_social_enable'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[footer_social_enable]', array(
	'label'             => esc_html__( 'Social Menu Enable', 'stortech-pro' ),
	'section'           => 'stortech_pro_section_footer',
	'on_off_label' 		=> stortech_pro_switch_options(),
) ) );


$wp_customize->add_setting( 'stortech_pro_theme_options[footer_menu_enable]', array(
	'default'			=> 	$options['footer_menu_enable'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[footer_menu_enable]', array(
	'label'             => esc_html__( 'Footer Menu Enable', 'stortech-pro' ),
	'section'           => 'stortech_pro_section_footer',
	'on_off_label' 		=> stortech_pro_switch_options(),
) ) );
