<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'stortech_pro_menu', array(
	'title'             => esc_html__('Header Menu','stortech-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'stortech-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'stortech-pro' ),
	'section'           => 'stortech_pro_menu',
	'on_off_label' 		=> stortech_pro_switch_options(),
) ) );
