<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'stortech_pro_pagination', array(
	'title'               => esc_html__('Pagination','stortech-pro'),
	'description'         => esc_html__( 'Pagination section options.', 'stortech-pro' ),
	'panel'               => 'stortech_pro_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'stortech-pro' ),
	'section'             => 'stortech_pro_pagination',
	'on_off_label' 		=> stortech_pro_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'stortech_pro_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'stortech_pro_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'stortech-pro' ),
	'section'             => 'stortech_pro_pagination',
	'type'                => 'select',
	'choices'			  => stortech_pro_pagination_options(),
	'active_callback'	  => 'stortech_pro_is_pagination_enable',
) );
