<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'stortech_pro_single_post_section', array(
	'title'             => esc_html__( 'Single Post','stortech-pro' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'stortech-pro' ),
	'panel'             => 'stortech_pro_theme_options_panel',
) );

// Tourableve date meta setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[single_post_hide_banner]', array(
	'default'           => false,
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[single_post_hide_banner]', array(
	'label'             => esc_html__( 'Hide banner', 'stortech-pro' ),
	'section'           => 'stortech_pro_single_post_section',
	'on_off_label' 		=> stortech_pro_hide_options(),
) ) );

// Tourableve date meta setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'stortech-pro' ),
	'section'           => 'stortech_pro_single_post_section',
	'on_off_label' 		=> stortech_pro_hide_options(),
) ) );

// Tourableve author meta setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[single_post_hide_author]', array(
	'default'           => $options['single_post_hide_author'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[single_post_hide_author]', array(
	'label'             => esc_html__( 'Hide Author', 'stortech-pro' ),
	'section'           => 'stortech_pro_single_post_section',
	'on_off_label' 		=> stortech_pro_hide_options(),
) ) );

// Tourableve author category setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'stortech-pro' ),
	'section'           => 'stortech_pro_single_post_section',
	'on_off_label' 		=> stortech_pro_hide_options(),
) ) );

// Tourableve tag category setting and control.
$wp_customize->add_setting( 'stortech_pro_theme_options[single_post_hide_tags]', array(
	'default'           => $options['single_post_hide_tags'],
	'sanitize_callback' => 'stortech_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Stortech_Pro_Switch_Control( $wp_customize, 'stortech_pro_theme_options[single_post_hide_tags]', array(
	'label'             => esc_html__( 'Hide Tag', 'stortech-pro' ),
	'section'           => 'stortech_pro_single_post_section',
	'on_off_label' 		=> stortech_pro_hide_options(),
) ) );
