<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Stortech Pro
* @since Stortech Pro 1.0.0
*/

if ( ! function_exists( 'stortech_pro_validate_long_excerpt' ) ) :
  function stortech_pro_validate_long_excerpt( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'stortech-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'stortech_pro_validate_slider_count' ) ) :
  function stortech_pro_validate_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'stortech-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'stortech_pro_validate_product_layout_gallery_count' ) ) :
  function stortech_pro_validate_product_layout_gallery_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'stortech-pro' ) );
	 } elseif ( $value > 15 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 15', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'stortech_pro_validate_featured_count' ) ) :
  function stortech_pro_validate_featured_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'stortech-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'stortech_pro_validate_accessories_count' ) ) :
  function stortech_pro_validate_accessories_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'stortech-pro' ) );
	 } elseif ( $value > 15 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 15', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'stortech_pro_validate_service_count' ) ) :
  function stortech_pro_validate_service_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of service is 3', 'stortech-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of service is 12', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'stortech_pro_validate_blog_count' ) ) :
  function stortech_pro_validate_blog_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'stortech-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'stortech_pro_validate_featured_product_count' ) ) :
  function stortech_pro_validate_featured_product_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'stortech-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'stortech_pro_validate_recent_product_count' ) ) :
  function stortech_pro_validate_recent_product_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'stortech-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'stortech_pro_validate_client_count' ) ) :
  function stortech_pro_validate_client_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of logo is 1', 'stortech-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of logo is 12', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'stortech_pro_validate_trending_product_count' ) ) :
  function stortech_pro_validate_trending_product_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of logo is 1', 'stortech-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of logo is 12', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;


if ( ! function_exists( 'stortech_pro_validate_testimonial_count' ) ) :
  function stortech_pro_validate_testimonial_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'stortech-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of testimonial is 1', 'stortech-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of testimonial is 12', 'stortech-pro' ) );
	 }
	 return $validity;
  }
endif;




























