<?php
/**
 * 
 *
 * @package 
 */

function stortech_pro_ctdi_plugin_page_setup( $default_settings ) {
    $default_settings['menu_title']  = esc_html__( 'Theme Palace Demo Import' , 'stortech-pro' );

    return $default_settings;
}
add_filter( 'cp-ctdi/plugin_page_setup', 'stortech_pro_ctdi_plugin_page_setup' );


function stortech_pro_ctdi_import_files() {
    $demo_array = array();
    $theme_demo = array( 'pro', 'product', 'modern', 'business', 'blog' );
    foreach ($theme_demo as $content) {   
           $demo_array[] =  array(
            'import_file_name'             => esc_html( $content ),
            'categories'                   => array( ),
            'import_file_url'              => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/stortech-demo-data/'.$content.'/content.xml',
            'import_widget_file_url'     => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/stortech-demo-data/'.$content.'/widgets.wie',
            'import_customizer_file_url' => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/stortech-demo-data/'.$content.'/customizer.dat',
            'import_preview_image_url'     => 'https://raw.githubusercontent.com/PrashantSinkhwal/demo-data/master/stortech-demo-data/'.$content.'/screenshot.jpg',
            'import_notice'                => esc_html__( 'Please wait for a few minutes, do not close the window or refresh the page until the data is imported.', 'stortech-pro' ),
            'preview_url'                  => 'https://themepalacedemo.com/stortech-'.$content,
        );           
    }
 

    return $demo_array;
}
add_filter( 'cp-ctdi/import_files', 'stortech_pro_ctdi_import_files' );



function stortech_pro_ctdi_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary', 'nav_menu' );
    $social = get_term_by('name', 'Social', 'nav_menu');
    $footer = get_term_by('name', 'Footer', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            'social' => $social->term_id,
            'footer' => $footer->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'Blog' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'cp-ctdi/after_import', 'stortech_pro_ctdi_after_import_setup' );
