<?php
/**
 *
 * This is the template for the content of subscription section
 *
 * @package Theme Palace
 * @subpackage Stortech Pro
 * @since Stortech Pro 1.0.0
 */
if ( ! function_exists( 'stortech_pro_add_subscription_section' ) ) :
    /**
    * Add about section
    *
    *@since Stortech Pro 1.0.0
    */
    function stortech_pro_add_subscription_section() {
    	$options = stortech_pro_get_theme_options();
        // Check if about is enabled on frontpage
        $subscription_enable = apply_filters( 'stortech_pro_section_status', true, 'subscription_section_enable' );

        if( ($options['home_layout'] == 'third-design') || ($options['home_layout'] == 'sixth-design')){
            $subscription_enable = false;
        }

        if ( true !== $subscription_enable ) {
            return false;
        }
       

        // Render about section now.
        stortech_pro_render_subscription_section( );
    }
endif;


if ( ! function_exists( 'stortech_pro_render_subscription_section' ) ) :
  /**
   * Start about section
   *
   * @return string about content
   * @since Stortech Pro 1.0.0
   *
   */
   function stortech_pro_render_subscription_section( ) {
       
         if ( ! class_exists( 'Jetpack' ) ) {
            return;
        } elseif ( class_exists( 'Jetpack' ) ) {
            if ( ! Jetpack::is_module_active( 'subscriptions' ) )
                return;
        }
        $options = stortech_pro_get_theme_options();
        ?>
        <div id="stortech_pro_subscription_section">   
            <div id="subscribe-section" class="relative page-section">
                <?php stortech_pro_section_tooltip( 'subscribe-section' ); ?>
                <div class="wrapper">
                    <div class="section-header"> 
                        <?php if (!empty( $options['subscription_title'] )): ?>
                            <h2 class="section-title"><?php echo esc_html( $options['subscription_title'] ); ?></h2>
                        <?php endif ?>
                        <?php if (!empty( $options['subscription_sub_title'] )): ?>
                        <p class="section-subtitle"><?php echo esc_html( $options['subscription_sub_title'] ); ?></p>
                    <?php endif; ?>
                    </div><!-- .section-header -->
                 
                    <div class="section-content">
                        <?php 
                            $subscription_shortcode = '[jetpack_subscription_form title="" subscribe_text="" subscribe_button="' . esc_html( $options['subscription_btn_label'] ) . '" show_subscribers_total="0"]';
                            echo do_shortcode( wp_kses_post( $subscription_shortcode ) ); 
                        ?> 
                        <?php if (!empty($options['subscription_buttom_label'])): ?>
                            <div id="subscribe-text">
                                <p><?php echo esc_html($options['subscription_buttom_label']) ?></p>
                            </div>
                        <?php endif ?>

                    </div>            
                  
                </div><!-- .wrapper -->
            </div>
        </div>
        

        <?php 
    }
endif;

            